Installing PHP 7 on Wamp
Posted by: magicalwonders (---.plus.com)
Date: March 13, 2017 12:15PM

I'm running windows 10 on a 64bit machine with Wamp 2.5 installed, with the following configuration -

Apache Version :
2.4.9
PHP Version :
5.5.12
Server Software:
Apache/2.4.9 (Win32) PHP/5.5.12

I'm having trouble installing PHP7. I've tried to follow the instructions I've found on line, but with no success. When I start Wampserver and click on PHP version it shows PHP7 present, but when I click to select it, Wamp status changes to orange!

I see that current versions of Wamp come bundled with PHP7 included? Can someone confirm that is correct? If so, I'm thinking it might be easier and quicker for me to just uninstall my current version and reinstall the lastest package?

Hope someone can advise. smiling smiley

Options: ReplyQuote
Re: Installing PHP 7 on Wamp
Posted by: RiggsFolly (Moderator)
Date: March 13, 2017 02:27PM

Hi,

Please read this All you need to know about WAMPServer 3

There you will find this section

------------ Upgrading Wampserver 2.5 to Wampserver 3.0.3 Directly ------------

Wampserver 2.5 users can apply the update to Wampserver 3.0.3 directly. There will be no change to the Apache, PHP, MySQL settings and versions used; your local sites and databases will not be affected. You will have Wampserver 3.0.3 and all the addons available. In addition this will install Apache 2.4.18, PHP 5.6.18 and 7.0.3, MySQL 5.6.29 and PhpMyAdmin 4.5.4.1. But will not activate them!

Of course, backup you existing folder before starting "just in case"

With V3.0.3 installed, you can then upgrade directly to V3.0.8 currently the latest greatest version.

Once WAMPServer v3.0 is installed, you can then pick from any of the released versions of PHP7.0.0 to PHP7.0.16 and/or PHP7.1.0 to PHP7.1.2

Version 3.0.8 also allows you to add MariaDB as well if you so desire.

---------------------------------------------------------------------------------------------
(Windows 7 Pro 32bit) (Wampserver 3.0.6 32bit)
<Apache 2.4.23/2.2.31> <PHP 7.1.2/7.0.16/5.6.28/5.5.38/5.4.45/5.3.29> <MySQL 5.7.10/5.6.17/5.5.28>
<MariaDB 10.1.21> <phpMyAdmin4.7.5> <MySQL Workbench 6.3.6.511>

Read The Manuals Apache -- MySQL -- PHP -- phpMyAdmin -- WAMPServer alternate Repo
-?-?-?- Backup your MySQL databases regularly Here is How dont regret it later! Yes even when developing -?-?-?-

Options: ReplyQuote


Sorry, only registered users may post in this forum.